Grupos de workspaces
Listar programaciones cron
Recupera todas las programaciones cron configuradas para un grupo de workspaces. Devuelve un arreglo de objetos de programación que contienen expresión cron, zona horaria, tipo, información del dispositivo intermedio y metadatos de auditoría. Si el grupo de workspaces no tiene programaciones, se devuelve un arreglo vacío.
GET
/
v2
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
/
schedules
Listar programaciones cron
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "507f1f77bcf86cd799439060",
"cron_expression": "0 8 * * 1-5",
"time_zone": "Eastern Standard Time",
"type": "start",
"intermediate_device": "507f1f77bcf86cd799439050",
"created_by": "507f1f77bcf86cd799439070"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
El identificador único de la organización
Maximum string length:
24Pattern:
^[0-9a-f]{24}$El identificador único del grupo de workspaces
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Respuesta
Lista de programaciones recuperada correctamente. Devuelve un arreglo de objetos de programación. Arreglo vacío si no existen programaciones.
Arreglo de programaciones cron para el grupo de workspaces
Show child attributes
Show child attributes
⌘I
Listar programaciones cron
